package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFCH2 extends MwfRequest<MWFCH2, MWFCH2Response> {

    @Parameter(name = "CIF")
    MWFCH2 cif(String cif);
    @Parameter(name = "Cache")
    MWFCH2 cache(Long cache);
    @Parameter(name = "GeminiUserID")
    MWFCH2 geminiUserID(Long geminiUserID);
    @Parameter(name = "ProductID")
    MWFCH2 productID(String productID);
    @Parameter(name = "Signature")
    MWFCH2 signature(String signature);
    @Parameter(name = "ZadostAP")
    MWFCH2 zadostAP(String zadostAP);
    @Parameter(name = "Zadost_KEY")
    MWFCH2 zadostKEY(Long zadostKEY);
}
